# Tomcat
server:
  port: 9206
  tongweb:
    license:
      path: D:\\LICENSE
# Spring
spring:
  application:
    # 应用名称
    name: zjk-api
  profiles:
    # 环境配置
    active: @profiles.active@
--- # nacos 配置
spring:
  cloud:
    nacos:
      # nacos 服务地址
      server-addr: ${NACOS_URL:127.0.0.1:8848}
      username: @nacos.username@
      password: @nacos.password@
      discovery:
        # 注册组
        group: @nacos.discovery.group@
        namespace: ${RY_NAMESPACE:dev}
      config:
        # 配置组
        group: @nacos.config.group@
        namespace: ${RY_NAMESPACE:dev}
  config:
    import:
      - optional:nacos:application-common.yml
      - optional:nacos:datasource.yml
      - optional:nacos:${spring.application.name}.yml
cron:
  refresh-check-point: ${REFRESH_CHECK_POINT:0 */1 * * * ?}
  activity-start-check-point: ${ACTIVITY_START_CHECK_POINT:0 */1 * * * ?}
  activity-end-check-point: ${ACTIVITY_END_CHECK_POINT:0 */1 * * * ?}
  refresh-expert-chart: ${REFRESH_EXPERT_CHART:0 */1 * * * ?}
  annual-Inspection: ${ANNUAL_INSPECTION:0 0 1 12 * ?}
  statement-Year-Inspection: ${STATEMENT_YEAR_INSPECTION:0 0 1 1 * ?}
  statement-Inspection: ${STATEMENT_YEAR_INSPECTION:0 0 1 * * ?}
  cancel-Expert-Inspection: ${CANCEL-EXPERT-INSPECTION:0 */1 * * * ?}
  #每月1日的凌晨1点执行
  invoice-report-month: ${INVOICE_REPORT_MONTH:0 53 14 * * ?}
  #每年1月1日的凌晨2点执行
  invoice-report-year: ${INVOICE_REPORT_YEAR:0 51 14 * * ?}


